Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class IetfAttrSyntax

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.IetfAttrSyntax

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class IetfAttrSyntax
extends ASN1Object

Implementation of IetfAttrSyntax as specified by RFC3281.

Field Summary
`static int` | `VALUE_OCTETS`
`static int` | `VALUE_OID`
`static int` | `VALUE_UTF8`

Method Summary
`static IetfAttrSyntax` | `getInstance(java.lang.Object obj)`
`GeneralNames` | `getPolicyAuthority()`
`java.lang.Object[]` | `getValues()`
`int` | `getValueType()`
`ASN1Primitive` | `toASN1Primitive()` IetfAttrSyntax ::= SEQUENCE { policyAuthority [0] GeneralNames OPTIONAL, values SEQUENCE OF CHOICE { octets OCTET STRING, oid OBJECT IDENTIFIER, string UTF8String } }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_OCTETS

    public static final int VALUE_OCTETS

See Also:
  Constant Field Values

### VALUE_OID

    public static final int VALUE_OID

See Also:
  Constant Field Values

### VALUE_UTF8

    public static final int VALUE_UTF8

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static IetfAttrSyntax getInstance(java.lang.Object obj)

### getPolicyAuthority

    public GeneralNames getPolicyAuthority()

### getValueType

    public int getValueType()

### getValues

    public java.lang.Object[] getValues()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  IetfAttrSyntax ::= SEQUENCE { policyAuthority [0] GeneralNames OPTIONAL, values SEQUENCE OF CHOICE { octets OCTET STRING, oid OBJECT IDENTIFIER, string UTF8String } }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD